Bug 1564129 - [Docs] describe iscsi multipathing prerequsities in more details
Summary: [Docs] describe iscsi multipathing prerequsities in more details
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.3.1
: 4.3.0
Assignee: Avital Pinnick
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On:
Blocks: 1599640
TreeView+ depends on / blocked
 
Reported: 2018-04-05 12:35 UTC by Marian Jankular
Modified: 2020-08-03 15:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 09:46:01 UTC
oVirt Team: Network
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1389086 None NEW [Docs] iscsi multipathing docs are unclear 2019-02-18 11:56:58 UTC

Internal Links: 1389086

Description Marian Jankular 2018-04-05 12:35:15 UTC
Description of problem:
describe iscsi multipathing prerequsities in more details

Version-Release number of selected component (if applicable):
4.1


Actual instructions:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/administration_guide/sect-preparing_and_adding_block_storage#Configuring_iSCSI_Multipathing
"Prerequisites

    Ensure you have created an iSCSI storage domain and discovered and logged into all the paths to the iSCSI target(s).
    Ensure you have created Non-Required logical networks to bond with the iSCSI storage connections. You can configure multiple logical networks or bond networks to allow network failover. "

Expected results:

1.go to Datacenter tab, Logical Networks subtab, create a Logical networks, for example, "iscsi1" and "iscsi2", create them as non required and without VM network. 
2. go into "Hosts" tab
- click on hostXY, at the bottom "Network Interfaces" and then "Setup Host Networks"
- assign iscsi1 to one desired interface1
- set IPs in the same VLAN and subnet on interface1
- assign iscsi2 to one desired interface2
- set IPs in the same VLAN and subnet on interface2
- click "ok" - this will set up new settings on the hypervisor

Additional info:

Comment 3 Emma Heftman 2018-11-05 14:39:12 UTC
(In reply to Marian Jankular from comment #0)
> Description of problem:
> describe iscsi multipathing prerequsities in more details
> 
> Version-Release number of selected component (if applicable):
> 4.1
> 
> 
> Actual instructions:
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/
> html/administration_guide/sect-
> preparing_and_adding_block_storage#Configuring_iSCSI_Multipathing
> "Prerequisites
> 
>     Ensure you have created an iSCSI storage domain and discovered and
> logged into all the paths to the iSCSI target(s).
>     Ensure you have created Non-Required logical networks to bond with the
> iSCSI storage connections. You can configure multiple logical networks or
> bond networks to allow network failover. "
> 
> Expected results:
> 
> 1.go to Datacenter tab, Logical Networks subtab, create a Logical networks,
> for example, "iscsi1" and "iscsi2", create them as non required and without
> VM network. 
> 2. go into "Hosts" tab
> - click on hostXY, at the bottom "Network Interfaces" and then "Setup Host
> Networks"
> - assign iscsi1 to one desired interface1
> - set IPs in the same VLAN and subnet on interface1
> - assign iscsi2 to one desired interface2
> - set IPs in the same VLAN and subnet on interface2
> - click "ok" - this will set up new settings on the hypervisor
> 
> Additional info:

 Hi Marian

I discussed this line with Maor Lipchuk from the Storage team and Eddy from the NEtwork team and neither of them understood how you accomplished this:

 set IPs in the same VLAN and subnet on interface1


Can you please explain.

Comment 5 Sandro Bonazzola 2019-01-28 09:40:27 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 7 Emma Heftman 2019-02-13 11:06:22 UTC
According to Maor, each bond should have two networks and two targets assigned. More information can be provided by Elad Ben Aharon.

Comment 13 Elad 2019-02-20 12:52:20 UTC
Looks good!


Note You need to log in before you can comment on or make changes to this bug.